Core - Bug # 39197

Status: Resolved Priority: Should have
Author: Bart Dubelaar Category: Pagetree
TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: Pagetree Filtering can't handle records moved in draft - errors and blanks

Description
After moving a record in a draft workspace, the record can no longer be found by filtering the pagetree.
If the filter applies to a subpage of the moved record, then an error is thrown and the pagetree is not shown. The latter case relates to

issue #25372.

Holds for 4.5 up till 6.0

Related issues:
related to Core - Bug # 25372: PHP Catchable Fatal Error: t3lib_iconWorks::ge... Closed 2011-03-22
related to Core - Bug # 36281: Page tree filtering does not take draft titles... Closed 2012-04-18

Associated revisions

Revision 1cadaOcb - 2013-07-05 16:14 - Bart Dubelaar

[BUGFIX] Pagetree filtering crashes on draft moves

This bugfix fixes the following pagetree issues encountered in
a draft workspace:

1. Records moved in draft could not be found
2. Pagetree would crash if a moved page occurs in the rootline of
a filtered page.

3. Filtering only looked at live page title not the draft title

Change-Id: 149c0082d013303d39c0c259a42f9bb74346ba7c8
Fixes: #39197

Releases: 6.2, 6.1, 6.0

Reviewed-on: https://review.typo3.org/13040

Reviewed-by: Ingo Pfennigstorf

Tested-by: Ingo Pfennigstorf

Reviewed-by: Stefan Galinski

Tested-by: Stefan Galinski

Revision 3ec77742 - 2013-07-16 19:26 - Bart Dubelaar

[BUGFIX] Pagetree filtering crashes on draft moves

This bugfix fixes the following pagetree issues encountered in

2015-08-04 1/4



https://review.typo3.org/13040

a draft workspace:

1. Records moved in draft could not be found

2. Pagetree would crash if a moved page occurs in the rootline of
a filtered page.

3. Filtering only looked at live page title not the draft title

Change-Id: 149c0082d013303d39c0c259a42f9bb74346ba7c8
Fixes: #39197

Releases: 6.2, 6.1, 6.0

Reviewed-on: https://review.typo3.org/21959

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

Revision 5a365178 - 2013-07-16 19:26 - Bart Dubelaar

[BUGFIX] Pagetree filtering crashes on draft moves

This bugfix fixes the following pagetree issues encountered in
a draft workspace:

1. Records moved in draft could not be found

2. Pagetree would crash if a moved page occurs in the rootline of
a filtered page.

3. Filtering only looked at live page title not the draft title

Change-Id: 149c0082d013303d39c0c259a42f9bb74346ba7c8
Fixes: #39197

Releases: 6.2, 6.1, 6.0

Reviewed-on: https://review.typo3.org/22332

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2012-07-25 11:49 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/13040

#2 - 2012-07-25 13:11 - Bart Dubelaar

Steps to reproduce all three forms of misbehavior:

1. Create two pages A & B and add a subpage C to B.
2. In a draft workspace move B inside A.

3. Search for C in the pagetree filter -> error

4. Search for B in the pagetree filet -> no result

5. Rename A to X.
6. Search for X -> no result

#3 - 2012-09-20 22:07 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13040

#4 - 2012-09-24 23:25 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13040

#5 - 2012-09-26 11:26 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13040

#6 - 2012-09-26 14:42 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13040

#7 - 2013-07-03 16:50 - Alexander Opitz

Hi Bart,

can you rebase your patch to latest master?

#8 - 2013-07-04 16:01 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/13040

#9 - 2013-07-05 15:17 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13040

#10 - 2013-07-05 16:30 - Bart Dubelaar
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1cadaOcb3fcdb2848bd34eb1bcd4c4561af9c1al.
#11 - 2013-07-05 17:54 - Gerrit Code Review

- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.

It is available at https://review.typo3.org/21959

#12 - 2013-07-15 21:53 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.

It is available at https://review.typo3.org/22332

#13 - 2013-07-16 19:30 - Bart Dubelaar
- Status changed from Under Review to Resolved

Applied in changeset commit:5a365178a732c2887716d7ff5d11efd64d639689.
